# mpi4py.MPI.Info

class mpi4py.MPI.Info

  Bases: `object`

  Info object.

  static __new__(cls, info=None)
    Parameters:

      info (Info | None)

    Return type:

      Self

  Methods Summary

  `Create`([items]) | Create a new info object.
  `Create_env`([args]) | Create a new environment info object.
  `Delete`(key) | Remove a (key, value) pair from info.
  `Dup`() | Duplicate an existing info object.
  `Free`() | Free an info object.
  `Get`(key) | Retrieve the value associated with a key.
  `Get_nkeys`() | Return the number of currently defined keys in info.
  `Get_nthkey`(n) | Return the n-th defined key in info.
  `Set`(key, value) | Store a value associated with a key.
  `clear`() | Clear contents.
  `copy`() | Copy contents.
  `f2py`(arg) |
  `free`() | Call `Free` if not null or predefined.
  `fromhandle`(handle) | Create object from MPI handle.
  `fromint`(arg, /) | Translate integer handle to object.
  `get`(key[, default]) | Retrieve value by key.
  `items`() | Return list of items.
  `keys`() | Return list of keys.
  `pop`(key, *default) | Pop value by key.
  `popitem`() | Pop first item.
  `py2f`() |
  `toint`() | Translate object to integer handle.
  `update`([items]) | Update contents.
  `values`() | Return list of values.

  Attributes Summary

  `handle` | MPI handle.

  Methods Documentation

  classmethod Create(items=None)

    Create a new info object.

    Parameters:

      items (Info | Mapping[str, str] | Iterable[tuple[str, str]] | None)

    Return type:

      Self

  classmethod Create_env(args=None)

    Create a new environment info object.

    Parameters:

      args (Sequence[str] | None)

    Return type:

      Self

  Delete(key)

    Remove a (key, value) pair from info.

    Parameters:

      key (str)

    Return type:

      None

  Dup()

    Duplicate an existing info object.

    Return type:

      Self

  Free()

    Free an info object.

    Return type:

      None

  Get(key)

    Retrieve the value associated with a key.

    Parameters:

      key (str)

    Return type:

      str | None

  Get_nkeys()

    Return the number of currently defined keys in info.

    Return type:

      int

  Get_nthkey(n)

    Return the n-th defined key in info.

    Parameters:

      n (int)

    Return type:

      str

  Set(key, value)

    Store a value associated with a key.

    Parameters:

      - key (str)

      - value (str)

    Return type:

      None

  clear()

    Clear contents.

    Return type:

      None

  copy()

    Copy contents.

    Return type:

      Self

  classmethod f2py(arg)
    Parameters:

      arg (int)

    Return type:

      Info

  free()

    Call `Free` if not null or predefined.

    Return type:

      None

  classmethod fromhandle(handle)

    Create object from MPI handle.

    Parameters:

      handle (int)

    Return type:

      Info

  classmethod fromint(arg, /)

    Translate integer handle to object.

    Parameters:

      arg (int)

    Return type:

      Info

  get(key, default=None)

    Retrieve value by key.

    Parameters:

      - key (str)

      - default (str | None)

    Return type:

      str | None

  items()

    Return list of items.

    Return type:

      list[tuple[str, str]]

  keys()

    Return list of keys.

    Return type:

      list[str]

  pop(key, *default)

    Pop value by key.

    Parameters:

      - key (str)

      - default (str)

    Return type:

      str

  popitem()

    Pop first item.

    Return type:

      tuple[str, str]

  py2f()
    Return type:

      int

  toint()

    Translate object to integer handle.

    Return type:

      int

  update(items=(), **kwds)

    Update contents.

    Parameters:

      - items (Info | Mapping[str, str] | Iterable[tuple[str, str]])

      - kwds (str)

    Return type:

      None

  values()

    Return list of values.

    Return type:

      list[str]

  Attributes Documentation

  handle

    MPI handle.